# DataExchange
TKSTEP
STEPSelections

# STEPSelections_SelectForTransfer Class Reference

`#include <STEPSelections_SelectForTransfer.hxx>`

Inheritance diagram for STEPSelections_SelectForTransfer:

[legend]

## Public Member Functions

Standard_EXPORT | STEPSelections_SelectForTransfer ()
Standard_EXPORT | STEPSelections_SelectForTransfer (const Handle(XSControl_TransferReader)&TR)
virtual Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities. Works by calling the method Sort on each input Entity : the Entity is kept as output if Sort returns the same value as Direct status .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_SelectForTransfer::STEPSelections_SelectForTransfer | ( |  | ) |

Standard_EXPORT STEPSelections_SelectForTransfer::STEPSelections_SelectForTransfer | ( | const Handle(XSControl_TransferReader)& | TR | ) |

## Member Function Documentation

Standard_EXPORT const STEPSelections_SelectForTransfer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from XSControl_SelectForTransfer.

virtual Standard_EXPORT Interface_EntityIterator STEPSelections_SelectForTransfer::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_SelectExtract.

The documentation for this class was generated from the following file:

- STEPSelections_SelectForTransfer.hxx